Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.io
Class ParserException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--uk.ac.man.bioinf.io.ParserException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  InvalidSequenceTypeParserException, SequenceWriterException, UnknownElementException

public class ParserException
extends RuntimeException

A general exception thrown up when parsing a sequence. The concept is to make this more specific by sub-classing this exception. Created: Tue Jun 6 18:09:26 2000

Version:
  $Id: ParserException.java,v 1.3 2001/04/11 17:04:43 lord Exp $
Author:
  J Selley
See Also:
  Serialized Form

Constructor Summary
`ParserException(int i)`
`ParserException(int i, String seq)`
`ParserException(String message, int i)`
`ParserException(String message, int i, String seq)`
`ParserException(String message, int i, String seq, Identifier ident)`

Method Summary
`Identifier` | `getIdentifier()`
`int` | `getPosition()` Returns the integer position in the sequence that caused the exception.
`String` | `getSequence()` Returns the sequence that caused the exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ParserException

    public ParserException(int i)

### ParserException

    public ParserException(String message,
                           int i)

### ParserException

    public ParserException(int i,
                           String seq)

### ParserException

    public ParserException(String message,
                           int i,
                           String seq)

### ParserException

    public ParserException(String message,
                           int i,
                           String seq,
                           Identifier ident)

Method Detail

### getPosition

    public int getPosition()

  Returns the integer position in the sequence that caused the exception.

  Returns:
    the location

### getSequence

    public String getSequence()

  Returns the sequence that caused the exception.

  Returns:
    the sequence

### getIdentifier

    public Identifier getIdentifier()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD